Subject: Re: bug#76554: Laptop screen blank after kexec reboot

From: Simon Streit <[email-masked]>
Date: Sun, 02 Mar 2025 19:06:09 +0100

Ludovic Courtès <[email-masked]> writes:

> Oh, worse than what I experienced.

Still more convenient than typing in the password two times.  I first
thought kexec was not working.  It is an improvement for me already. :)

I just did a reboot with kexec from kexec-tools on an identical machine
running Debian Bookworm with LUKS encryption:

The screen goes on with a blinking prompt.  The external video is on too
and can plug it in and out again.

I just tried it manually with kexec from kexec-tools in Guix.  The
display stayed dark here too and I somehow didn't manage to unlock
the device.  The HDD-Lamp hinted that something was happening.

I looked into dmesg and /var/log/messages.  I see a time gap until the
partition is mounted.  But no hint that a video or state of hardware is
being changed:

--8<---------------cut here---------------start------------->8---
[    2.735156] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.735161] usb 1-2: Product: Biometric Coprocessor
[    2.735165] usb 1-2: Manufacturer: STMicroelectronics
[    2.874331] Btrfs loaded, zoned=yes, fsverity=yes
[   32.859424] PM: Image not found (code -22)
[   32.874392] BTRFS: device label LABEL devid 1 transid 408044 /dev/dm-0 (253:0) scanned by init (1)
[   32.875143] BTRFS info (device dm-0): first mount of filesystem HASHVALUE
[   32.875162] BTRFS info (device dm-0): using crc32c (crc32c-generic) checksum algorithm
[   32.875179] BTRFS info (device dm-0): using free-space-tree
[   35.910187] shepherd[1]: GNU Shepherd 1.0.2 (Guile 3.0.9, x86_64-unknown-linux-gnu)
[   35.910434] shepherd[1]: Starting service root...
[   35.911316] shepherd[1]: Service root started.
[   35.911676] shepherd[1]: Service root running with value #<<process> id: 1 command: #f>.
[   35.912303] shepherd[1]: Service root has been started.
[   35.918603] shepherd[1]: starting services...
--8<---------------cut here---------------end--------------->8---

Hope that is getting us a bit further.

Kind regards

-- 
Simon